import request from '@/utils/request'

// 查询钱包提现配置列表
export function listAppWithdrawalConfig(query) {
  return request({
    url: '/model/AppWithdrawalConfig/list',
    method: 'get',
    params: query
  })
}

// 查询钱包提现配置详细
export function getAppWithdrawalConfig(id) {
  return request({
    url: '/model/AppWithdrawalConfig/' + id,
    method: 'get'
  })
}

// 新增钱包提现配置
export function addAppWithdrawalConfig(data) {
  return request({
    url: '/model/AppWithdrawalConfig',
    method: 'post',
    data: data
  })
}

// 修改钱包提现配置
export function updateAppWithdrawalConfig(data) {
  return request({
    url: '/model/AppWithdrawalConfig',
    method: 'put',
    data: data
  })
}

// 删除钱包提现配置
export function delAppWithdrawalConfig(id) {
  return request({
    url: '/model/AppWithdrawalConfig/' + id,
    method: 'delete'
  })
}
